1

Topic: dependency conflict

==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
- iRedMail version (check /etc/iredmail-release):
- Deployed with iRedMail Easy or the downloadable installer?
- Linux/BSD distribution name and version:
- Store mail accounts in which backend (LDAP/MySQL/PGSQL):
- Web server (Apache or Nginx):
- Manage mail accounts with iRedAdmin-Pro?
- [IMPORTANT] Related original log or error message is required if you're experiencing an issue.
====
I am using CENTOS7, nginx, mysql, downloadable installer and this the error I got during the install:

Error: php-mysql conflicts with php71w-mysqlnd-7.1.23-1.w7.x86_64
Error: php71w-common conflicts with php-common-5.4.16-46.el7.x86_64
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

I know I can do away with it by installing manually or using the option skip-broken, however there is a script that is used during the install, my question is how do I fixed it. Thank you.

2

Re: dependency conflict

- Please use a fresh/clean server os for iRedMail installation.
- iRedMail is tested with official yum repos and 'epel' repo, all other third-party repos may cause similar package conflict issue.

----

Does my reply help a little? How about buying me a cup of coffee ($5) as an encouragement?

buy me a cup of coffee

3

Re: dependency conflict

It was actually a fresh install. And I check the repos folder and there are no other third party repos. But I will try to reinstall the Centos7 again. Thank you.

4

Re: dependency conflict

johnny2000 wrote:

Error: php-mysql conflicts with php71w-mysqlnd-7.1.23-1.w7.x86_64
Error: php71w-common conflicts with php-common-5.4.16-46.el7.x86_64

Package "php71w-mysqlnd" is not offered by CentOS official repo or EPEL repo.

----

Does my reply help a little? How about buying me a cup of coffee ($5) as an encouragement?

buy me a cup of coffee